//+------------------------------------------------------------------+
//|                                               ExpertIndPlan0.mqh |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"
//----   
extern int period10 = 15;
extern int period11 = 15;
extern int period12 = 15;
//----   
extern int period20 = 15;
extern int period21 = 15;
extern int period22 = 15;
//----     
double Ind_Buffer1[6];
double Ind_Buffer2[6];
//+------------------------------------------------------------------+
//| Custom Expert initialization function                            |
//+------------------------------------------------------------------+
int init()
  {
//    
//----  
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom Expert iteration function                                 |
//+------------------------------------------------------------------+
int start()
  {
//----        
   if(iBars(Symbol(), 0) < period10 + period11 + period12+10)
       return(0);
   if(iBars(Symbol(), 0) < period20 + period21 + period22+10)
       return(0);
//----      
   for(int bar = 5; bar >= 1; bar--)
     {
       Ind_Buffer1[bar] = iCustom("IndicatorPlan", Symbol(), 0, period10, 
                                  period11, period12, 0, bar);
       Ind_Buffer2[bar] = iCustom("IndicatorPlan", Symbol(), 0, period20, 
                                  period21, period22, 0, bar);
     }
//    ,     
//       
//----
//      , 
//     
//----
   return(0);
  }
//+------------------------------------------------------------------+